Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#851 Le 11/06/2010, à 07:57

gallizour

Re : Arte +7 recorder version 4

Après mise à jour ce matin ça remarche!:lol:


Ubuntu 12.04

Hors ligne

#852 Le 11/07/2010, à 18:39

legrosschmoll

Re : Arte +7 recorder version 4

ludovic889 a écrit :

salut

merci pour votre réaction très rapide
tout marche nickel

toutefois, il faut disposer de la toute dernière version de rtmpdump (2.2) ; il faut compiler depuis les sources car je n'ai rien trouvé dans les dépôts

Il y a un paquet .deb pour Debian qui marche très bien avec Lucid Lynx ici
http://packages.debian.org/sid/rtmpdump


Precise sur W500

Hors ligne

#853 Le 31/07/2010, à 23:46

Dieudo

Re : Arte +7 recorder version 4

En utilisant la version 5, j'ai systématiquement un blocage au bout de 10 à 13% de téléchargement avec le message : « Il y a un problème avec votre connexion internet » sad

Ma config : Ubuntu 10.04 à jour.

D'autres ont trouvé comment contourner ce bug ?

Dernière modification par Dieudo (Le 31/07/2010, à 23:46)

Hors ligne

#854 Le 15/08/2010, à 21:01

WRC_Juju

Re : Arte +7 recorder version 4

Bonjour tout le monde.

Souhaitant enregistrer une émission sur arte, j'ai cherché et trouvé ce topic.
Alors j'ai installé arte +7 recorder en version 4. Pas de souci
Mais quand je le lance, j'arrive à la fenêtre qui me demande de choisir l'émission et la date, sauf que cette fenêtre est vide!
J'ai beau chercher sur le site du projet, sur ce forum, je ne vois pas trop comment faire. Pour commencer, doit on entrer à la main le programme et la date, ou bien la fenêtre se remplit elle automatiquement?


Julien alias WRC_Juju
Desktop Packard-Bell Pentium 4 sous Debian 6.0 Squeeze + Openbox

Hors ligne

#855 Le 16/08/2010, à 09:02

beudbeud

Re : Arte +7 recorder version 4

La version 4 ne fonctionne plus depuis la mise a jour du site internet d'arte.
http://forum.ubuntu-fr.org/viewtopic.php?id=395921


Télécharger les émissions de Arte +7 avec Arte +7 recorder
Theme pour Ubuntu Bisigi Project

Vostro 1510 Ubuntu 10.04

Hors ligne

#856 Le 16/08/2010, à 12:33

WRC_Juju

Re : Arte +7 recorder version 4

Aaah d'accord tout simplement. Merci de la réponse!

Et bien m'en vais tester la version 5 alors smile

EDIT: ah bah j'essaierai plus tard, quand j'aurais installé Lucid.

Dernière modification par WRC_Juju (Le 16/08/2010, à 12:39)


Julien alias WRC_Juju
Desktop Packard-Bell Pentium 4 sous Debian 6.0 Squeeze + Openbox

Hors ligne

#857 Le 22/08/2010, à 09:27

youpitlse

Re : Arte +7 recorder version 4

beudbeud a écrit :

Pour les informations sur la version 5 aller sur cette page
http://forum.ubuntu-fr.org/viewtopic.ph … 1#p3466471

Arte+7recorder version 4
ce script permet de récupérer les vidéos de http://plus7.arte.tv
les vidéos sont enregistrées dans le répertoire de votre choix

Site web du projet
https://launchpad.net/arte+7recorder

Pour tout bug veuillez le rapporter sur cette page merci
https://bugs.launchpad.net/arte+7recorder/+filebug

Installation :
pour ajouter le dépot et installer arte +7 recorder

sudo gedit /etc/apt/sources.list

puis coller

#Arte+7 recorder
deb http://ppa.launchpad.net/arte+7recorder/ppa/ubuntu YOUR_UBUNTU_VERSION_HERE main

Exemple pour karmic

#Arte+7 recorder
deb http://ppa.launchpad.net/arte+7recorder/ppa/ubuntu karmic main

enregistrer, fermer

Et pour finir

gpg --keyserver hkp://keyserver.ubuntu.com:11371 --recv-key 842820F9 && gpg -a --export 842820F9 | sudo apt-key add -
sudo apt-get update
sudo apt-get install arte+7recorder

Version 3 (non maintenu)
Précisions :
deux mode de fonctionnement :
- mode graphique le programme ce trouve dans Applications/Sons et Vidéos
- mode console lancer arte

.deb (pour une installation facile)
version 3.4

code source
version 3.4 source

J'ai ajouté le source-list sans problème,

gpg --keyserver hkp://keyserver.ubuntu.com:11371 --recv-key 842820F9 && gpg -a --export 842820F9 | sudo apt-key add -

et j'obtiens

gpg: requête de la clé 842820F9 du serveur hkp keyserver.ubuntu.com
gpg: le délai d'attente du serveur de clés a expiré
gpg: la réception depuis le serveur de clés a échoué: erreur du serveur de clés

et maintenant je ne sais pas quoi faire afin de pouvoir telecharger cette belle émission http://videos.arte.tv/fr/videos/la_rock … 76202.html
Merci pour tout aide.

Hors ligne

#858 Le 22/08/2010, à 09:27

youpitlse

Re : Arte +7 recorder version 4

JE précise j'utilise karmic 9.10

Hors ligne

#859 Le 22/08/2010, à 10:09

gl38

Re : Arte +7 recorder version 4

Tu cliques sur ton lien et tu récupères l'adresse dans la case URL (à droite).

Tu installes rtmpdump, en récupérant rtmpdump-2.3.tgz ici et en l'installant (sans problème sous Ubuntu 9.10 chez moi).

Tu copies le fichier donné dans le poste #835, tu en fais une commande, arte, par exemple en le copiant dans /usr/local/bin et en le rendant exécutable.

Tu n'as plus qu'à taper dans un terminal
arte <le lien>
ça t'écrit

arte http://videos.arte.tv/fr/videos/la_rocket_du_rail-3376202.html
rtmpdump -r "rtmp://artestras.fcod.llnwd.net/a3903/o35/MP4:geo/videothek/EUR_DE_FR/arteprod/A7_SGT_ENC_08_041693-001-A_PG_HQ_FR?h=27bfcc4ed8d063703273a62a116bb94c" --swfVfy "http://videos.arte.tv/blob/web/i18n/view/player_10-3188338-data-4812205.swf" -o tracks.flv

et tu lances ce qu'il dit de faire soit :

rtmpdump -r "rtmp://artestras.fcod.llnwd.net/a3903/o35/MP4:geo/videothek/EUR_DE_FR/arteprod/A7_SGT_ENC_08_041693-001-A_PG_HQ_FR?h=27bfcc4ed8d063703273a62a116bb94c" --swfVfy "http://videos.arte.tv/blob/web/i18n/view/player_10-3188338-data-4812205.swf" -o tracks.flv

Cordialement,
Guy

Hors ligne

#860 Le 22/08/2010, à 10:47

youpitlse

Re : Arte +7 recorder version 4

c'est bizarre, je viens de le telecharger et dézippé, et me suis mis dans le bon repertoire. Mais à chaque fois que je lance

sudo apt-get install rtmpdump

il me dit :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet rtmpdump

Une idée ?
Merci Bien

Hors ligne

#861 Le 22/08/2010, à 10:54

youpitlse

Re : Arte +7 recorder version 4

Bon apres quand je me mets dans rtmpdump-2.3, voici ce que je trouve

ChangeLog  Makefile    rtmpdump.1.html  rtmpgw.8.html  rtmpsuck.c
COPYING    README      rtmpdump.c       rtmpgw.c       thread.c
librtmp    rtmpdump.1  rtmpgw.8         rtmpsrv.c      thread.h

y'aurait-il un autre moyen de l'installer à partir de ses composantes???

Merci Bien.

Hors ligne

#862 Le 22/08/2010, à 11:12

gl38

Re : Arte +7 recorder version 4

Il me semble qu'il suffit de taper make dans le dossier rtmpdump-2.3 que tu as obtenu,
puis si tout s'est bien passé
sudo make install

Il faut évidemment que tu disposes de tout ce qu'il faut pour faire une compilation, le paquet make, le compilateur gcc et visiblement quelques bibliothèques genre ssl, crypto, zlib...

Commence par gcc et make et tape make, pour les librairies qui vont probablement manquer il faut installer les paquets qui se terminent par dev, comme libssl-dev.

Courage ! en tout cas j'ai récupéré ton émission, mais ça fait 346 Mo, un peu gros pour l'envoyer par mail.
Cordialement,
Guy

Hors ligne

#863 Le 22/08/2010, à 11:24

youpitlse

Re : Arte +7 recorder version 4

j'ai tapé make comme conseillé et j'ai obtenu, tout m'a l'air bien se passé?

youpi@Tlse:~/Téléchargements/rtump/rtmpdump-2.3$ make
make[1]: entrant dans le répertoire « /home/youpi/Téléchargements/rtump/rtmpdump-2.3/librtmp »
gcc -Wall   -DRTMPDUMP_VERSION=\"v2.3\" -DUSE_OPENSSL  -O2 -fPIC   -c -o rtmp.o rtmp.c
gcc -Wall   -DRTMPDUMP_VERSION=\"v2.3\" -DUSE_OPENSSL  -O2 -fPIC   -c -o log.o log.c
gcc -Wall   -DRTMPDUMP_VERSION=\"v2.3\" -DUSE_OPENSSL  -O2 -fPIC   -c -o amf.o amf.c
gcc -Wall   -DRTMPDUMP_VERSION=\"v2.3\" -DUSE_OPENSSL  -O2 -fPIC   -c -o hashswf.o hashswf.c
gcc -Wall   -DRTMPDUMP_VERSION=\"v2.3\" -DUSE_OPENSSL  -O2 -fPIC   -c -o parseurl.o parseurl.c
ar rs librtmp.a rtmp.o log.o amf.o hashswf.o parseurl.o
ar: creating librtmp.a
gcc -shared -Wl,-soname,librtmp.so.0  -o librtmp.so.0 rtmp.o log.o amf.o hashswf.o parseurl.o  -lssl -lcrypto -lz 
ln -sf librtmp.so.0 librtmp.so
make[1]: quittant le répertoire « /home/youpi/Téléchargements/rtump/rtmpdump-2.3/librtmp »
gcc -Wall   -DRTMPDUMP_VERSION=\"v2.3\"   -O2   -c -o rtmpdump.o rtmpdump.c
gcc -Wall  rtmpdump.o librtmp/librtmp.a  -o rtmpdump -lssl -lcrypto -lz  
gcc -Wall   -DRTMPDUMP_VERSION=\"v2.3\"   -O2   -c -o rtmpgw.o rtmpgw.c
gcc -Wall   -DRTMPDUMP_VERSION=\"v2.3\"   -O2   -c -o thread.o thread.c
gcc -Wall  rtmpgw.o thread.o librtmp/librtmp.a  -o rtmpgw -lpthread -lssl -lcrypto -lz  
gcc -Wall   -DRTMPDUMP_VERSION=\"v2.3\"   -O2   -c -o rtmpsrv.o rtmpsrv.c
gcc -Wall  rtmpsrv.o thread.o librtmp/librtmp.a  -o rtmpsrv -lpthread -lssl -lcrypto -lz  
gcc -Wal

Ensuite avec

sudo make install

, j'obtiens :

youpi@Tlse:~/Téléchargements/rtump/rtmpdump-2.3$ sudo make install
make[1]: entrant dans le répertoire « /home/youpi/Téléchargements/rtump/rtmpdump-2.3/librtmp »
make[1]: Rien à faire pour « all ».
make[1]: quittant le répertoire « /home/youpi/Téléchargements/rtump/rtmpdump-2.3/librtmp »
mkdir -p /usr/local/bin /usr/local/sbin /usr/local/man/man1 /usr/local/man/man8
cp rtmpdump /usr/local/bin
cp rtmpgw rtmpsrv rtmpsuck /usr/local/sbin
cp rtmpdump.1 /usr/local/man/man1
cp rtmpgw.8 /usr/local/man/man8
make[1]: entrant dans le répertoire « /home/youpi/Téléchargements/rtump/rtmpdump-2.3/librtmp »
sed -e "s;@prefix@;/usr/local;" -e "s;@VERSION@;v2.3;" \
		-e "s;@CRYPTO_REQ@;libssl,libcrypto;" librtmp.pc.in > librtmp.pc
mkdir -p /usr/local/include/librtmp /usr/local/lib/pkgconfig /usr/local/man/man3
cp amf.h http.h log.h rtmp.h /usr/local/include/librtmp
cp librtmp.a /usr/local/lib
cp librtmp.pc /usr/local/lib/pkgconfig
cp librtmp.3 /usr/local/man/man3
cp librtmp.so.0 /usr/local/lib
cd /usr/local/lib; ln -sf librtmp.so.0 librtmp.so
make[1]: quittant le répertoire « /home/youpi/Téléchargements/rtump/rtmpdump-2.3/librtmp »

Hors ligne

#864 Le 22/08/2010, à 11:28

youpitlse

Re : Arte +7 recorder version 4

avec le resultat du

sudo make install à savoir :
make[1]: entrant dans le répertoire « /home/youpi/Téléchargements/rtump/rtmpdump-2.3/librtmp »
make[1]: Rien à faire pour « all ».
make[1]: quittant le répertoire « /home/youpi/Téléchargements/rtump/rtmpdump-2.3/librtmp »

je ne sais s'il a installé ou pas ???
En Plus, il me sort toujours ça :

youpi@Tlse:~/Téléchargements/rtump/rtmpdump-2.3$ sudo apt-get install rtmpdum
p
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet rtmpdump

Merci Bien.

Dernière modification par youpitlse (Le 22/08/2010, à 11:32)

Hors ligne

#865 Le 22/08/2010, à 11:32

gl38

Re : Arte +7 recorder version 4

effectivement, tout a l'air bon

Si tu tapes dans un terminal

which rtmpdump

tu dois avoir

/usr/local/bin/rtmpdump

et si tu lances

rtmpdump -r "rtmp://artestras.fcod.llnwd.net/a3903/o35/MP4:geo/videothek/EUR_DE_FR/arteprod/A7_SGT_ENC_08_041693-001-A_PG_HQ_FR?h=27bfcc4ed8d063703273a62a116bb94c" --swfVfy "http://videos.arte.tv/blob/web/i18n/view/player_10-3188338-data-4812205.swf" -o tracks.flv

Au bout d'un moment (le pourcentage obtenu s'affiche pendant la copie), tu dois obtenir un fichier tracks.flv qui contient ton émission et que tu peux regarder avec mplayer, par exemple.

Cordialement,
Guy

Hors ligne

#866 Le 22/08/2010, à 11:38

youpitlse

Re : Arte +7 recorder version 4

Ok super, j'ai obtenu :/usr/local/bin/rtmpdump
Là, j'ai lancé le téléchargement, tjr en connecting j'espère que ça va marcher comme je me connecte avec un wifi neuf détecté dans les parages???

Merci Bien.

Hors ligne

#867 Le 22/08/2010, à 11:41

youpitlse

Re : Arte +7 recorder version 4

mais en considerant le ta derniere comande qui est sensé me telecharger la video, je n'y reconnais ni l'url, ni le lien de la vidéo, une petite conversion ???
Merci Bien.

Hors ligne

#868 Le 22/08/2010, à 11:44

grandtoubab

Re : Arte +7 recorder version 4

il existe une version 5
http://forum.ubuntu-fr.org/viewtopic.php?id=395921&p=1


Linux tout seul sur le disque dur  Acer Aspire T650 :=))
RAM: 1,7 Gio, CPU: Intel® Pentium(R) 4 CPU 3.06GHz × 2. Carte graphique Gallium 0.4 on ATI RC410 (Radeon Xpress200)
Partition 1: Debian Jessie & Gnome Version 3.12
Partition 2: Ubuntu Trusty 14.04 & Unity

Hors ligne

#869 Le 22/08/2010, à 11:49

youpitlse

Re : Arte +7 recorder version 4

Slt grandtoubab, en effet j'ai commencé par regardé ce lien et j'ai un retour satisfaisant voir mon premier poste #858.
Merci Bien.

Hors ligne

#870 Le 22/08/2010, à 11:56

pasteque

Re : Arte +7 recorder version 4

Il existe un packetage .deb pour rtmpdump, que j'ai installé sur 9.04 :

http://debian-multimedia.org/pool/main/r/rtmpdump/

le script marche bien ensuite, mais j'ai sans arrêt des interruptions de téléchargement :

ERROR: ReadPacket, failed to read RTMP packet header
Download may be incomplete (downloaded about 4.10%), try resuming

il existe une version 5
http://forum.ubuntu-fr.org/viewtopic.ph … 21&p=1

je n'ai pas réussi à la faire fonctionner avec ubuntu 9.04

Hors ligne

#871 Le 22/08/2010, à 14:54

gl38

Re : Arte +7 recorder version 4

@pasteque
Chez moi la version 2.3 de rtmpdump fonctionne (avec Ubuntu 9.10) : essaie de l'installer.
Et depuis Ubuntu 9.04, il y a peut-être eu du progrès...

Cordialement,
Guy

Hors ligne

#872 Le 22/08/2010, à 16:38

gl38

Re : Arte +7 recorder version 4

Ah ! j'ai enfin compris pourquoi arte7recorder protestait chez moi et refusait de fonctionner : c'est qu'il n'avait pas le droit d'écrire dans le dossier de stockage de la vidéo /usr/share/pyshared/arte7recorder

un petit

sudo chmod 777 /usr/share/pyshared/arte7recorder

arrange tout.

Cordialement,
Guy

Hors ligne

#873 Le 28/09/2010, à 12:08

buster19

Re : Arte +7 recorder version 4

Enorme merci pour ce soft


Latex-Math : annalescours/exos ; exos. Ubuntu : live-usb ; multiboot

Hors ligne

#874 Le 20/11/2010, à 10:43

bernic

Re : Arte +7 recorder version 4

Salut à tous

Un truc étrange : j'ai installé arte+7recorder version 5 si mes souvenirs sont bons (je crois même que c'était la version 4 mais elle est "devenue" sans intervention de ma part la version 5.... Est ce que je déconne ???)...

je le lançais via le mode graphique dans Applications>sons et vidéos... j'ai récupéré ainsi qques émissions.

Ce matin : rien... pas de carburant...rien

je passe en console : et voici le retour

Traceback (most recent call last):
  File "arte7recorder.py", line 495, in <module>
    app = GUI()
  File "arte7recorder.py", line 176, in __init__
    self.dl_resume(None, None, None)
  File "arte7recorder.py", line 430, in dl_resume
    data_time = self.dureeRE.search(page).group(1)
AttributeError: 'NoneType' object has no attribute 'group'

Je ne comprends pas grand' chose à la ligne de commande... Si une bonne âme daignait se pencher sur mon cas, j'en serai ravi.

PS : je suis en 10.04 Lucid Lynx

Dernière modification par bernic (Le 20/11/2010, à 11:38)


La théorie, c'est quand on comprend tout et que rien ne marche.
La pratique, c'est quand tout marche mais on ne sait pas pourquoi.

Avec win, ils ont réussi les deux : rien ne marche et personne ne sait pourquoi

Hors ligne

#875 Le 27/11/2010, à 11:48

bernic

Re : Arte +7 recorder version 4

Le retour.... aujourd'hui, c'est mieux ... je clique et rien ne se passe !:mad:

c'est pas tout à fait vrai : en console arte7recorder donne ceci

Traceback (most recent call last):
  File "arte7recorder.py", line 491, in <module>
    catalog = Catalog()
  File "/usr/share/pyshared/arte7recorder/Catalog.py", line 98, in __init__
    video['bigTitle'] = unescape_html( a.string )
  File "/usr/share/pyshared/arte7recorder/Catalog.py", line 12, in unescape_html
    return BS.BeautifulStoneSoup(text, convertEntities=BS.BeautifulStoneSoup.HTML_ENTITIES).contents[0]
  File "/usr/lib/pymodules/python2.6/BeautifulSoup.py", line 1230, in __init__
    self._feed(isHTML=isHTML)
  File "/usr/lib/pymodules/python2.6/BeautifulSoup.py", line 1245, in _feed
    smartQuotesTo=self.smartQuotesTo, isHTML=isHTML)
  File "/usr/lib/pymodules/python2.6/BeautifulSoup.py", line 1751, in __init__
    self._detectEncoding(markup, isHTML)
  File "/usr/lib/pymodules/python2.6/BeautifulSoup.py", line 1899, in _detectEncoding
    xml_encoding_match = re.compile(xml_encoding_re).match(xml_data)
TypeError: expected string or buffer

Dernière modification par bernic (Le 27/11/2010, à 11:51)


La théorie, c'est quand on comprend tout et que rien ne marche.
La pratique, c'est quand tout marche mais on ne sait pas pourquoi.

Avec win, ils ont réussi les deux : rien ne marche et personne ne sait pourquoi

Hors ligne

Haut de page ↑